Name:		techne
Version:	0.2.1
Release:	1%{?dist}.1
Summary:	A general purpose, programmable physical simulator and renderer

Group:		System Environment/Libraries
License:	GPLv3+
URL:		http://www.nongnu.org/techne/
Source0:	http://download.savannah.gnu.org/releases/techne/%{name}-%{version}.tar.gz

BuildRequires:	gcc-objc
# we need a version of ode-devel that provides ode-double
BuildRequires:	ode-devel >= 0:0.11.1-5
BuildRequires:	lua-devel
BuildRequires:	ImageMagick-devel
BuildRequires:	gtkglext-devel
BuildRequires:	openal-soft-devel
BuildRequires:	webkitgtk-devel
BuildRequires:	libmicrohttpd-devel


%description
Techne is a general purpose, programmable physical simulator and renderer.
It reads in a set of scripts wherein every aspect of a physical system is
specified and then proceeds to simulate and render the system onscreen.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} install
# remove a redundant README file in an unappropriate place
rm -f %{buildroot}/%{_docdir}/%{name}/README


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man*/*


%changelog
* Sat Mar 05 2011 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.1-1.1
- rebuild for new gtkglext

* Fri Feb 25 2011 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2.1-1
- update to 0.2.1 (fixes build issues with GCC 4.6)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 14 2010 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2-1
- official 0.2 release

* Thu Dec 09 2010 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2-0.2
- implemented fixes suggested by Hans de Goede:
    - fixed ownership of unowned directories
    - fixed release field to reflect the fact that this is a pre-release

* Tue Dec 07 2010 Tadej Janež <tadej.janez@tadej.hicsalta.si> 0.2-0.1
- initial package

